Bug 1418957 - Need support for "dpdkvhostuserclient" type in ifup-ovs script
Summary: Need support for "dpdkvhostuserclient" type in ifup-ovs script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openvswitch
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z3
: 10.0 (Newton)
Assignee: Aaron Conole
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 09:26 UTC by Saravanan KR
Modified: 2017-06-28 15:27 UTC (History)
13 users (show)

Fixed In Version: openvswitch-2.6.1-10.git20161206.el7fdp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-28 15:27:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1587 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 Bug Fix and Enhancement Advisory 2017-06-28 19:11:42 UTC

Description Saravanan KR 2017-02-03 09:26:37 UTC
Need support for "dpdkvhostuserclient" type in ifup-ovs script.

We are working on integration OVS2.6 for OSP. In discussing, with OVS team(Aaron) for the solution for the removal of post-install permission issues, he has suggested to use this new type, which was recently added.

This new type need to be supported in the ifup-ovs script for the os-net-config to create ifcfg scripts.

Comment 1 Aaron Conole 2017-02-06 19:19:44 UTC
I will write a patch to add this support.  While it probably won't be backported to either 2.6 or 2.7, we can fold it into our own packages.

Comment 2 Aaron Conole 2017-02-06 19:30:24 UTC
upstream RFC here: 

https://mail.openvswitch.org/pipermail/ovs-dev/2017-February/328527.html

Comment 4 Saravanan KR 2017-02-07 05:57:25 UTC
(In reply to Aaron Conole from comment #1)
> I will write a patch to add this support.  While it probably won't be
> backported to either 2.6 or 2.7, we can fold it into our own packages.

Aaron, we need this in 2.6 version onwards and we are planning for corresponding OSP changes. Please let us know once this change is available in FD channel. Meanwhile we will use your patch for testing.

Comment 5 Aaron Conole 2017-02-14 19:47:15 UTC
d46b603797c6fa8ab979e3de4ead73e50a37e7ec will be backported.

Comment 6 Aaron Conole 2017-02-16 15:28:02 UTC
Brew build available:

https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12561524

Comment 12 errata-xmlrpc 2017-06-28 15:27:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1587


Note You need to log in before you can comment on or make changes to this bug.